{
  "compilerOptions": {
    "target": "ES2022",
    "lib": ["es2022", "dom", "dom.iterable"],
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "module": "ESNext",
    "rootDir": "./src",
    "paths": {
      "@/*": ["./src/*"]
    },
    "moduleResolution": "bundler",
    "typeRoots": ["node_modules/@types", "types"],
    "allowImportingTsExtensions": true,
    "rewriteRelativeImportExtensions": true,
    "resolveJsonModule": true,
    "declaration": false,
    "sourceMap": true,
    "outDir": "dist",
    "removeComments": false,
    "importHelpers": true,
    "sourceRoot": "./src",
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "strict": true,
    "alwaysStrict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "noUncheckedIndexedAccess": true,
    "pretty": true,
    "skipDefaultLibCheck": true,
    "skipLibCheck": true
  },
  "include": ["src/**/*.ts"],
  "exclude": ["data", "node_modules"],
  "files": [
    "types/error.d.ts",
    "types/express-session.d.ts",
    "types/express.d.ts",
    "types/window.d.ts"
  ]
}
